<?php

namespace Treewec;

/**
 * Test class for PrintoutLoader.
 * Generated by PHPUnit on 2012-07-04 at 10:06:33.
 * @group output
 */
class PrintoutLoaderTest extends \PHPUnit_Framework_TestCase {

    public function testGet() {
        $pl = PrintoutLoader::get(new DirectoryPrinter\HTMLListPrinter(), TEMP_FILEDIR, 1, true, FileSystem\FileType::FOLDER, DirectoryIterators\SearchType::DEPTH_FIRST);
        parent::assertInstanceOf('\Treewec\PrintoutLoader', $pl);
        $pl->display();
    }

    public function testGetHTMLListPrinter() {
        parent::assertInstanceOf(
            '\Treewec\DirectoryPrinter\HTMLHierarchyListPrinter',
            PrintoutLoader::getHTMLListPrinter(true, true, true, true)
        );
        parent::assertInstanceOf(
            '\Treewec\DirectoryPrinter\HTMLListPrinter',
            PrintoutLoader::getHTMLListPrinter(true, true, false, true)
        );
    }

}

?>
